#ifndef __NOTICE_H
#define __NOTICE_H

#include "screen.h"
#include "bitmap.h"
#include "line.h"


class Notice : public Bitmap
{
  public:
    Notice( Screen* newScreen, char* text=NULL );
    virtual ~Notice( void );

    void start( void );
    void setText( char* text );

    virtual void draw( void );

protected:
  Line *left, *right, *upper, *lower;
  char* sBuffer;
};


#endif // __NOTICE_H
